cURL
curl --request GET \
--url https://api.example.com/api/v1/store-profiles/conventions/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/store-profiles/conventions/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/store-profiles/conventions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"status": "SCHEDULED",
"description": "<string>",
"url": "<string>",
"start_datetime": "2023-11-07T05:31:56Z",
"end_datetime": "2023-11-07T05:31:56Z",
"name_of_location": "<string>",
"address": "<string>"
}
]store-profiles
Get apiv1store profilesconventions
Get conventions for the store profile, optionally filtered by date range or ongoing status
GET
/
api
/
v1
/
store-profiles
/
conventions
/
cURL
Authorizations
APIKeyAPIKey
API key in format: sk_*
Query Parameters
End date for convention range (format: YYYY-MM-DD HH:MM)
If true, returns only currently ongoing conventions
Start date for convention range (format: YYYY-MM-DD HH:MM)
Response
200 - application/json
Maximum string length:
300Maximum string length:
350Pattern:
^[-a-zA-Z0-9_]+$SCHEDULED- ScheduledCANCELED- CanceledUNLISTED- UnlistedDETAILS_PENDING- Details PendingUSE_EXTERNAL_SCHEDULE- Use External ScheduleARCHIVED- Archived
Available options:
SCHEDULED, CANCELED, UNLISTED, DETAILS_PENDING, USE_EXTERNAL_SCHEDULE, ARCHIVED Maximum string length:
200Maximum string length:
500Maximum string length:
500
